# -*- mode: python -*-

import os,sys

# just a little utility function; performs like os.path.join()
def catpath(*args_):
   args = list(args_)
   for i in xrange(1,len(args)): args[i] = args[i].lstrip(os.sep)
   s = os.path.join(args[0],args[1])
   args = args[2:]
   for a in args: s = os.path.join(s,a)   
   return s


# SWITCHES
version = '1.0.0'
switch_debug = True
switch_console = True
one_file = False
upx = False


srcpath = 'c:\\example\\src'
strip =    False
kwargs = {}





a = Analysis([catpath(HOMEPATH,'support','_mountzlib.py'), 
              catpath(HOMEPATH,'support','useUnicode.py'),
              catpath('src','main.py')],
              pathex=[srcpath])


TOC_custom  = [ ]

pyz = PYZ(a.pure)


exe = EXE(pyz,
          a.scripts,
          exclude_binaries=1,
          name=catpath('build','pyi.%s'%sys.platform,'testimp','testimp.exe'),
          debug=switch_debug,
          strip=strip,
          upx=upx,
          console=switch_console, 
          **kwargs
          )

coll = COLLECT(exe,
               a.binaries,
               a.zipfiles,
               a.datas,
               TOC_custom,
               strip=strip,
               upx=upx,
               name='frozen'
               )

